}

It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like: Chrome, Firefox, Internet Explorer or Opera

×
avatar
lordhoff: EDIT: where does one get PK 1.08 - not listed at Yandix?
Try here.
(That's an official download link you will also get in the WoG forums.)

For the record:
I installed GoG Gothic1 in early September and I still needed PlayerKit 1.08k. You may be mixing this up with patch 1.08k - which, of course, comes pre-installed by GoG.

From what I recall, the Systempack will install and run with only that PK 1.08k present. PK 2.08 is not absolutely required.
And frankly, I'd recommend to try without first, because PK 2.08 comes from an obscure, hitherto apparently unrevealed Russian source and creates quite a few positives on VirusTotal :\
Philobyte beat me to it, since I got a Galaxy notification right after you posted and therefore missed your edits. :P

As for PK 2.8, some players can't run G+SP without it, some can't run G+SP with it and some can run G+SP just fine regardless of whether they have it or not. I haven't played G1 since this became recommended, so I can't really say for myself, so just try to find out what works for you.
avatar
helpo1: Philobyte beat me to it, since I got a Galaxy notification right after you posted and therefore missed your edits. :P

As for PK 2.8, some players can't run G+SP without it, some can't run G+SP with it and some can run G+SP just fine regardless of whether they have it or not. I haven't played G1 since this became recommended, so I can't really say for myself, so just try to find out what works for you.
I'll still try - I'm trying to get rid of that annoying mouse freeze.

EDIT: Amazing how easy it is when you do it correctly. :)
Post edited November 06, 2017 by lordhoff
avatar
lordhoff: EDIT: where does one get PK 1.08 - not listed at Yandix?
avatar
Philobyte: Try here.
(That's an official download link you will also get in the WoG forums.)

For the record:
I installed GoG Gothic1 in early September and I still needed PlayerKit 1.08k. You may be mixing this up with patch 1.08k - which, of course, comes pre-installed by GoG.

From what I recall, the Systempack will install and run with only that PK 1.08k present. PK 2.08 is not absolutely required.
And frankly, I'd recommend to try without first, because PK 2.08 comes from an obscure, hitherto apparently unrevealed Russian source and creates quite a few positives on VirusTotal :\
I guess I should have listened - got a quaranteen message and the file quaranteened was the application file for Gothic. The fix function on Galaxy replaced it though and game seems to be doing fine with better graphics and only a few mouse freezes.
avatar
helpo1: Shamelessly stealing my own words. I'd advise starting with SystemPack (option #3), but since some people are opposed to installing additional software for various reasons, know that there are other options as well.

(The thread is for G1, but the fixes apply to both G1 and G2.)

1) check if you have any .RPT files inside/near the Gothic folder (e.g. if you have Gothic installed in E:\Games\Gothic, check if there are any .RPTs in either E:\Games or E:\Games\Gothic) and delete them, if you find any;

2) start Gothic twice (manually, not through Galaxy) and then kill rundll32.exe in the processes;

3) install SystemPack.
avatar
helpo1:
i am, for example, unable to install the system pack, bcz the damn button for installing is during the progress damn gray - inactive. This is getting really frustrating. No error, jsut Gothic is not running at all, without any information why.

The worst is, that two days ago i ran the game perfectly, with some just fixing of results. But suddenly, it stop totally work.
Post edited December 22, 2017 by ASADcz
avatar
ASADcz: i am, for example, unable to install the system pack, bcz the damn button for installing is during the progress damn gray - inactive. This is getting really frustrating. No error, jsut Gothic is not running at all, without any information why.

The worst is, that two days ago i ran the game perfectly, with some just fixing of results. But suddenly, it stop totally work.
Neviem, či riešiš G1 alebo G2, ale máš všetky ostatné patche, ktoré uvádzam vyššie (#10) a hru najlepšie na inom disku než C:?
Post edited December 22, 2017 by helpo1
avatar
ASADcz: i am, for example, unable to install the system pack, bcz the damn button for installing is during the progress damn gray - inactive. This is getting really frustrating. No error, jsut Gothic is not running at all, without any information why.

The worst is, that two days ago i ran the game perfectly, with some just fixing of results. But suddenly, it stop totally work.
avatar
helpo1: Neviem, či riešiš G1 alebo G2, ale máš všetky ostatné patche, ktoré uvádzam vyššie (#10) a hru najlepšie na inom disku než C:?
Zdravím. Teď řeším Gothic 2 Gold. Stáhl jsem celý Systempack, co byl zde přítomný

G1Classic-SystemPack-1.7
G2Classic-SystemPack-1.7
G2NoTR-SystemPack-1.7
G2Odyssey-SystemPack-1.7
G2Returning-SystemPack-1.7
Gothic1_PlayerKit-2.8
Gothic2_PlayerKit-2.8

Ale při snaze naistaloval cokoliv, tak button pro instalaci je neaktivní, a když se snažím vytvořit novou složku, tak ani neexistuje možnost potvrdit výběr složky. Hru nemám na systémovém disku, mám to na D:/
Tak to ti stačí len Report Version, PlayerKit a SystemPack pre NoTR. Nedá sa nainštalovať žiadny z nich, ani RV a PK?

Vyberáš zložku ...\Gothic 2 Gold? Aký názov má exečko v System, Gothic2.exe?